/*------------------------------------------------------------------------
----- Footer
------------------------------------------------------------------------ */

.footer {
	clear:both;
	margin-top: 128px;
	border-top: 3px solid $bg-border;

	@include breakpoint(xl) {
		margin-top: 256px;
		background-image: url(img/fond_03_footer.png);
		background-size: 50%;
		background-repeat: no-repeat;
		background-position: right center;
	}

	.wrap {	
		padding: 0;

		@include breakpoint(sm) {
			display: grid;
			grid-template-columns: 1fr 1fr;
		}
	}

	&__partners {
		display: flex;
		flex-flow: row wrap;
		align-items: center;
		column-gap: $margin;
		padding: 24px;

		@include breakpoint(sm) {
			padding: 32px;
		}
		@include breakpoint(lg) {
			padding: 40px;
		}

		&__link {
			flex-basis: 100%;
			margin-top: 24px;
			text-align: center;
		}
	}
	&__partner {

		img {
			max-height: 40px;
			width: auto;
			filter: sepia(100%) hue-rotate(190deg) saturate(75%);
		}
		a:hover,
		a:focus {

			img {
				transform: scale(1.2);
				filter: none;
			}
		}
	}
	&__menu {		
		background-image: url(img/fond_03_footer.png);
		background-size: cover;
		background-repeat: no-repeat;
		background-position: center;
		padding: 24px;
		text-align: center;

		@include breakpoint(sm) {
			padding: 32px;
		}
		@include breakpoint(xl) {
			background-image: none;
		}
		@include breakpoint(lg) {
			padding: 40px;
		}
		
		ul {
			padding-left: 0;
			column-count: 2;
		} 
		li {
			margin-bottom: 24px;
			list-style-type: none;
			text-transform: uppercase;
			text-align: center;
			font-weight: 500;
			font-size: 0.9em;

			@include breakpoint(sm) {
				font-size: 1em;
			}

			&:last-of-type {
				margin-bottom: 0;
			}
		}
		a {
			display: inline-block;
			border-bottom: 1px solid transparent;
			line-height: 1.15;

			&:hover,
			&:focus {
				background-color: lighten($bg-tertiary,20%);
				border-color: darken($bg-tertiary, 20%);
			}
		}
	}
	&__copyright {
		position: relative;
		padding-top: 32px;
		margin-top: 32px;
		margin-bottom: 0;

		&::before {
			content: '';
			display: block;
			position: absolute;
			top: 0;
			left: 50%;
			transform: translateX(-50%);
			height: $spacing-unit;
			width: 4 * $spacing-unit;
			background-color: $bg-tertiary;
		}
	}
}